package com.dao.test;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.junit.Test;
import org.junit.runner.JUnitCore;
import org.junit.runner.Result;
import org.junit.runner.notification.Failure;

public class LaunchJUnitDaoJUnitCore {

	private static final Log log = LogFactory.getLog(LaunchJUnitDaoJUnitCore.class);

	@Test
	public void runAllTest() {
		Result result = JUnitCore.runClasses(JUnitPersonneDao.class, JUnitAdresseDao.class);

		log.debug("wasSuccessful : " + result.wasSuccessful());
		log.debug("getRunCount : " + result.getRunCount());

		for (Failure failure : result.getFailures()) {
			log.debug("failure : " + failure.toString());
		}
	}
}